%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")

Summary: 	Network traffic analyzer
Name: 		wireshark
Version:	0.99.5
Release: 	AS21.3
License: 	GPL
Group: 		Applications/Internet
Source0:	http://www.wireshark.org/download/prerelease/%{name}-%{version}.tar.gz
Source1: 	wireshark.wmconfig
Source2:	wireshark-usermode.tar.bz2
Source3:	wireshark-gnome1.2.tar.bz2
Source4:	wireshark-kde2.tar.bz2
Patch3:		wireshark-nfsv4-opts.patch
Patch4:		wireshark-size_t.patch
Patch5:		wireshark-0.99.5-ucd_snmp2.patch
Url: 		http://www.wireshark.org/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: 	libpcap >= 0.6
BuildRequires: 	gtk+-devel >= 1.2
BuildRequires: 	libpcap >= 0.6
BuildRequires: 	zlib-devel, bzip2-devel
BuildRequires:  openssl-devel
BuildRequires:  python, pcre-devel
BuildRequires:  automake, libtool
BuildRequires:  ucd-snmp, ucd-snmp-devel
Obsoletes:	ethereal
Provides:	ethereal


%package	gnome
Summary:	Gnome desktop integration for wireshark and wireshark-usermode
Group:		Applications/Internet
Requires: 	gtk+ >= 1.2
Requires:	usermode >= 1.37
Requires: 	ucd-snmp
Requires:	wireshark = %{version}-%{release}
Obsoletes:	ethereal-gnome
Provides:	ethereal-gnome


%description
Wireshark is a network traffic analyzer for Unix-ish operating systems.

This package lays base for libpcap, a packet capture and filtering 
library, contains command-line utilities, contains plugins and 
documentation for wireshark. A graphical user interface is packaged 
separately to GTK+ package.

%description gnome
Contains wireshark for Gnome 2 and desktop integration file


%prep
%setup -q -n %{name}-%{version}
%patch3 -p1 
%patch4 -p1 -b .size_t
%patch5 -p1 -b .ucd_snmp

%build
%ifarch s390 s390x
export PIECFLAGS="-fPIE"
%else
export PIECFLAGS="-fpie"
%endif
# FC5+ automatic -fstack-protector-all switch
export RPM_OPT_FLAGS=${RPM_OPT_FLAGS//-fstack-protector/-fstack-protector-all}
export CFLAGS="$RPM_OPT_FLAGS $CPPFLAGS"
export CXXFLAGS="$RPM_OPT_FLAGS $CPPFLAGS"
export LDFLAGS="$LDFLAGS -lm -lcrypto"
export LIBS="$LIBS -lsnmp"
#./autogen.sh
%configure \
   --prefix=%{_prefix} \
   --bindir=%{_sbindir} \
   --program-prefix="" \
   --enable-zlib \
   --enable-ipv6 \
   --enable-snmp \
   --with-ucd-snmp \
   --with-ssl \
   --enable-pcap \
   --disable-dftest \
   --disable-gtk2 \
   --with-gnu-ld \
   --disable-static \
   --disable-usr-local \
   --with-pic \
   --with-pcre=no \
   --with-plugindir=%{_libdir}/%{name}/plugins/%{version}
time make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

# The evil plugins hack
perl -pi -e 's|-L../../epan|-L../../epan/.libs|' plugins/*/*.la

make DESTDIR=$RPM_BUILD_ROOT install

# unpack support files for usermode, gnome and kde
( cd $RPM_BUILD_ROOT 
  tar xvjf %{SOURCE2}
  tar xvjf %{SOURCE3}
  tar xvjf %{SOURCE4} )

#symlink tshark to tethereal
ln -s tshark $RPM_BUILD_ROOT%{_sbindir}/tethereal

#empty?!
rm -f $RPM_BUILD_ROOT%{_sbindir}/idl2wrs

# install man
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
install -m 644 *.1 $RPM_BUILD_ROOT/%{_mandir}/man1

# Install python stuff.
mkdir -p $RPM_BUILD_ROOT%{python_sitelib}
install -m 644 tools/wireshark_be.py tools/wireshark_gen.py  $RPM_BUILD_ROOT%{python_sitelib}

mkdir -p $RPM_BUILD_ROOT/%{_datadir}/applications
mv $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Applications/Network/wireshark.desktop $RPM_BUILD_ROOT/%{_datadir}/applications/net-wireshark.desktop
rm -rf $RPM_BUILD_ROOT/%{_datadir}/icons
rm -rf $RPM_BUILD_ROOT/%{_datadir}/applnk/Applications/Network/
rm -rf $RPM_BUILD_ROOT/%{_datadir}/gnome/apps/Applications/Network/.directory
rm -rf $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/*/*.la
rm -rf $RPM_BUILD_ROOT/%{_libdir}/*.la

# Remove .la files
rm -f $RPM_BUILD_ROOT/%{_libdir}/%{name}/plugins/%{version}/*.la

# Remove .la files in libdir
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README* 
%{_sbindir}/editcap
#%{_sbindir}/idl2wrs
%{_sbindir}/tshark
%{_sbindir}/mergecap
%{_sbindir}/text2pcap
%{_sbindir}/capinfos
%{_sbindir}/randpkt
%{_sbindir}/dumpcap
%{_sbindir}/tethereal
%{python_sitelib}/*
%{_libdir}/lib*
%{_mandir}/man1/editcap.*
%{_mandir}/man1/tshark.*
%{_mandir}/man1/idl2wrs.*
%{_mandir}/man1/mergecap.*
%{_mandir}/man1/text2pcap.*
%{_mandir}/man1/capinfos.*
%{_mandir}/man1/dumpcap.*
%{_mandir}/man4/wireshark-filter.*
%{_libdir}/wireshark
%config(noreplace) %{_sysconfdir}/pam.d/wireshark
%config(noreplace) %{_sysconfdir}/security/console.apps/wireshark
%{_datadir}/wireshark

%files gnome
%defattr(-,root,root)
%{_datadir}/applications/net-wireshark.desktop
%{_datadir}/pixmaps/wireshark.png
%{_bindir}/wireshark
%{_sbindir}/wireshark
%{_mandir}/man1/wireshark.*


%changelog
* Thu Feb  8 2007 Radek Vokál <rvokal@redhat.com> 0.99.5-3
- fix ucd-snmp support, kill net-snmp support

* Tue Feb  6 2007 Radek Vokál <rvokal@redhat.com> 0.99.5-2
- fix net-snmp requires

* Mon Feb  5 2007 Radek Vokál <rvokal@redhat.com> 0.99.5-1
- multiple security issues fixed (#225689)
- CVE-2007-0459 - The TCP dissector could hang or crash while reassembling HTTP packets
- CVE-2007-0459 - The HTTP dissector could crash.
- CVE-2007-0457 - On some systems, the IEEE 802.11 dissector could crash.
- CVE-2007-0456 - On some systems, the LLT dissector could crash.

* Thu Nov  2 2006 Radek Vokál <rvokal@redhat.com> 0.99.4-AS21.1
- upgrade to 0.99.4, fixes multiple security issues

* Mon Sep  4 2006 Radek Vokal <rvokal@redhat.com> 0.99.3-AS21.4
- fix symlink and console.app file

* Thu Aug 31 2006 Radek Vokal <rvokal@redhat.com> 0.99.3-AS21.3
- copy pam file to correct place

* Mon Aug 28 2006 Radek Vokal <rvokal@redhat.com> 0.99.3-AS21.2
- fix pam file (#204066)

* Fri Aug 25 2006 Radek Vokál <rvokal@redhat.com> 0.99.3-AS21.1
- upgrade to 0.99.3 (#204045)
- CVE-2006-4330 Wireshark security issues (CVE-2006-4333 CVE-2006-4332 CVE-2006-4331)

* Fri Jul 21 2006 Radek Vokál <rvokal@redhat.com> 0.99.2-AS21.1
- initial built for AS2.1

* Tue Jul 18 2006 Radek Vokál <rvokal@redhat.com> 0.99.2-1
- upgrade to 0.99.2

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.99.2-0.pre1.1
- rebuild

* Tue Jul 11 2006 Radek Vokál <rvokal@redhat.com> 0.99.2-0.pre1
- upgrade to 0.99.2pre1, fixes (#198242)

* Tue Jun 13 2006 Radek Vokal <rvokal@redhat.com> 0.99.1-0.pre1
- spec file changes

* Fri Jun  9 2006 Radek Vokal <rvokal@redhat.com> 0.99.1pre1-1
- initial build for Fedora Core
